title_name = "Banjo-Tooie"
title_id = "58410955" # XA-2389
hash = "CFE7D4B66FAC7096" # default.xex
#media_id = "65D27094"

[[patch]]
    name = "60 FPS"
    desc = "Updated to fix cutscenes and timing with help from others."
    author = "illusion, retroben, wedarobi"
    is_enabled = false

    # These patches require break_on_debugbreak to be changed from true to false in the Xenia Canary config.
    [[patch.be32]]
        address = 0x825f4000
        value = 0x3d208267
    [[patch.be32]]
        address = 0x825f4004
        value = 0x8929ef30
    [[patch.be32]]
        address = 0x825f4008
        value = 0x814b0000
    [[patch.be32]]
        address = 0x825f400c
        value = 0x2c090000
    [[patch.be32]]
        address = 0x825f4010
        value = 0x4182000c
    [[patch.be32]]
        address = 0x825f4014
        value = 0x39200002
    [[patch.be32]]
        address = 0x825f4018
        value = 0x4bc82e20
    [[patch.be32]]
        address = 0x825f401c
        value = 0x39200001
    [[patch.be32]]
        address = 0x825f4020
        value = 0x4bc82e18
    [[patch.be32]]
        address = 0x825f4024
        value = 0x60000000
    [[patch.be32]]
        address = 0x825f4028
        value = 0x3d608267
    [[patch.be32]]
        address = 0x825f402c
        value = 0x896bef30
    [[patch.be32]]
        address = 0x825f4030
        value = 0x94c30004
    [[patch.be32]]
        address = 0x825f4034
        value = 0x907f0030
    [[patch.be32]]
        address = 0x825f4038
        value = 0x2c0b0000
    [[patch.be32]]
        address = 0x825f403c
        value = 0x4182000c
    [[patch.be32]]
        address = 0x825f4040
        value = 0x39600002
    [[patch.be32]]
        address = 0x825f4044
        value = 0x4bd05ed4
    [[patch.be32]]
        address = 0x825f4048
        value = 0x39600001
    [[patch.be32]]
        address = 0x825f404c
        value = 0x4bd05ecc
    [[patch.be32]]
        address = 0x825f4050
        value = 0x60000000
    [[patch.be16]]
        address = 0x822c8932
        value = 0x073c
    [[patch.be32]]
        address = 0x82276e34
        value = 0x4837d1cc
    [[patch.be32]]
        address = 0x822f9f10
        value = 0x482fa118
    [[patch.be32]]
        address = 0x822f9f14
        value = 0x60000000
    [[patch.be32]]
        address = 0x822f9f18
        value = 0x60000000
    [[patch.be16]]
        address = 0x821a22e6
        value = 0x1edc
    [[patch.be16]]
        address = 0x821a22ea
        value = 0x4238
    [[patch.be16]]
        address = 0x821a22ee
        value = 0x0b20
    [[patch.be16]]
        address = 0x821a2326
        value = 0x1edc
    [[patch.be16]]
        address = 0x821a232a
        value = 0x0b30
    [[patch.be16]]
        address = 0x821a232e
        value = 0x0800
    [[patch.be16]]
        address = 0x821a235a
        value = 0x0774
    [[patch.be16]]
        address = 0x8213e2ee
        value = 0x2060
    [[patch.be16]]
        address = 0x8213e2f2
        value = 0x4238
    [[patch.be16]]
        address = 0x8213e2f6
        value = 0x28f0
    [[patch.be16]]
        address = 0x8213e32e
        value = 0x2060
    [[patch.be16]]
        address = 0x8213e332
        value = 0x0b30
    [[patch.be16]]
        address = 0x8213e336
        value = 0x13f4
    [[patch.be16]]
        address = 0x8213e342
        value = 0x4238
    [[patch.be16]]
        address = 0x8213e362
        value = 0x0b0c
    [[patch.be16]]
        address = 0x821129ba
        value = 0x1ef8

[[patch]]
    name = "HD Shadows"
    desc = "Improves player character shadows by using identical models of characters as their shadow models."
    author = "retroben"
    is_enabled = false

    [[patch.be16]]
        address = 0x82601ece
        value = 0x062a
    [[patch.be16]]
        address = 0x82601ee2
        value = 0x0613
    [[patch.be16]]
        address = 0x82601ee6
        value = 0x060c
    [[patch.be16]]
        address = 0x82601ef2
        value = 0x062a
    [[patch.be16]]
        address = 0x82601ef6
        value = 0x061c
    [[patch.be16]]
        address = 0x82601efe
        value = 0x0665
    [[patch.be16]]
        address = 0x82601f0a
        value = 0x0624
    [[patch.be16]]
        address = 0x82601f0e
        value = 0x060e

[[patch]]
    name = "Nests And Stairs LOD Hack"
    desc = "Forces best nest model LOD including contained musical notes and Mayahem Temple stairs to always be 3D."
    author = "retroben"
    is_enabled = false

    [[patch.be32]]
        address = 0x82261fdc
        value = 0x60000000
    [[patch.be32]]
        address = 0x82262074
        value = 0x60000000
    [[patch.be32]]
        address = 0x82263004
        value = 0x48391050
    [[patch.be32]]
        address = 0x825f4054
        value = 0x817c0004
    [[patch.be32]]
        address = 0x825f4058
        value = 0x2c0b07a8
    [[patch.be32]]
        address = 0x825f405c
        value = 0x40820010
    [[patch.be32]]
        address = 0x825f4060
        value = 0x3d604f80
    [[patch.be32]]
        address = 0x825f4064
        value = 0x917c07e0
    [[patch.be32]]
        address = 0x825f4068
        value = 0x917c07e4
    [[patch.be32]]
        address = 0x825f406c
        value = 0x81784670
    [[patch.be32]]
        address = 0x825f4070
        value = 0x4bc6ef98
    [[patch.be32]]
        address = 0x82262088
        value = 0x48391fec
    [[patch.be32]]
        address = 0x825f4074
        value = 0x819f0004
    [[patch.be32]]
        address = 0x825f4078
        value = 0x2c0c0188
    [[patch.be32]]
        address = 0x825f407c
        value = 0x40820010
    [[patch.be32]]
        address = 0x825f4080
        value = 0x3d804f80
    [[patch.be32]]
        address = 0x825f4084
        value = 0x919f0190
    [[patch.be32]]
        address = 0x825f4088
        value = 0x919f0194
    [[patch.be32]]
        address = 0x825f408c
        value = 0x38210070
    [[patch.be32]]
        address = 0x825f4090
        value = 0x4bc6dffc

[[patch]]
    name = "Draw Distance Hack"
    desc = "Uncapped actor spawn ranges and draw distances."
    author = "retroben"
    is_enabled = false

    [[patch.be32]]
        address = 0x82240df8
        value = 0x483b3308
    [[patch.be32]]
        address = 0x8223f714
        value = 0x60000000
    [[patch.be32]]
        address = 0x822a9f84
        value = 0x60000000
    [[patch.be32]]
        address = 0x825f4100
        value = 0x3c608267
    [[patch.be32]]
        address = 0x825f4104
        value = 0xa0633720
    [[patch.be32]]
        address = 0x825f4108
        value = 0x2c030112
    [[patch.be32]]
        address = 0x825f410c
        value = 0x4182000c
    [[patch.be32]]
        address = 0x825f4110
        value = 0x2c030128
    [[patch.be32]]
        address = 0x825f4114
        value = 0x4082000c
    [[patch.be32]]
        address = 0x825f4118
        value = 0x386028a0
    [[patch.be32]]
        address = 0x825f411c
        value = 0x4bc4cce0
    [[patch.be32]]
        address = 0x825f4120
        value = 0x2c030127
    [[patch.be32]]
        address = 0x825f4124
        value = 0x4082000c
    [[patch.be32]]
        address = 0x825f4128
        value = 0x38603200
    [[patch.be32]]
        address = 0x825f412c
        value = 0x4bc4ccd0
    [[patch.be32]]
        address = 0x825f4130
        value = 0x2c030136
    [[patch.be32]]
        address = 0x825f4134
        value = 0x4082000c
    [[patch.be32]]
        address = 0x825f4138
        value = 0x38605400
    [[patch.be32]]
        address = 0x825f413c
        value = 0x4bc4ccc0
    [[patch.be32]]
        address = 0x825f4140
        value = 0x38606400
    [[patch.be32]]
        address = 0x825f4144
        value = 0x4bc4ccb8
    [[patch.be32]]
        address = 0x825f4148
        value = 0x60000000

[[patch]]
    name = "Access Breegull Bash"
    desc = "Allows you to use Breegull Bash without actually having it."
    author = "retroben"
    is_enabled = false

    [[patch.be32]]
        address = 0x820de0c8
        value = 0x60000000

[[patch]]
    name = "Banjo Kazooie Fire Breath"
    desc = "Swaps normal idle attack with dragon Kazooie fire breath."
    author = "retroben"
    is_enabled = false

    [[patch.be32]]
        address = 0x826024e0
        value = 0x820d5388

[[patch]]
    name = "Solo Kazooie Fire Breath"
    desc = "Swaps solo Kazooie idle wing whack with fire breath."
    author = "retroben"
    is_enabled = false

    [[patch.be32]]
        address = 0x82602db0
        value = 0x820ee1b8

[[patch]]
    name = "Infinite Blue Eggs"
    desc = "Changes default caps to the values used by the nestking cheat which fills the eggs and feathers to 999."
    author = "retroben"
    is_enabled = false

    [[patch.be16]]
        address = 0x8262e772
        value = 0xfffe

[[patch]]
    name = "Infinite Fire Eggs"
    author = "retroben"
    is_enabled = false

    [[patch.be16]]
        address = 0x8262e776
        value = 0xfffe

[[patch]]
    name = "Infinite Ice Eggs"
    author = "retroben"
    is_enabled = false

    [[patch.be16]]
        address = 0x8262e77a
        value = 0xfffe

[[patch]]
    name = "Infinite Grenade Eggs"
    author = "retroben"
    is_enabled = false

    [[patch.be16]]
        address = 0x8262e77e
        value = 0xfffe

[[patch]]
    name = "Infinite Clockwork Eggs"
    author = "retroben"
    is_enabled = false

    [[patch.be16]]
        address = 0x8262e782
        value = 0xfffe

[[patch]]
    name = "Infinite Red Feathers"
    author = "retroben"
    is_enabled = false

    [[patch.be16]]
        address = 0x8262e78a
        value = 0xfffe

[[patch]]
    name = "Infinite Gold Feathers"
    author = "retroben"
    is_enabled = false

    [[patch.be16]]
        address = 0x8262e78e
        value = 0xfffe

[[patch]]
    name = "Infinite Glowbos"
    author = "retroben"
    is_enabled = false

    [[patch.be16]]
        address = 0x8262e792
        value = 0xfffe

[[patch]]
    name = "Replace Blue Eggs With Gold Eggs"
    desc = "Use blue eggs to shoot gold eggs which works even with rapid fire when in first person."
    author = "retroben"
    is_enabled = false

    [[patch.be8]]
        address = 0x82601a3c
        value = 0x07

[[patch]]
    name = "Access Mine Eggs"
    desc = "Unused in singleplayer and only appear from forward shots, but may crash if used in breegull blaster mode, or used excessively."
    author = "retroben"
    is_enabled = false

    [[patch.be8]]
        address = 0x82601a41
        value = 0x06
    [[patch.be16]]
        address = 0x8262e786
        value = 0xfffe

[[patch]]
    name = "Uncapped Blue Egg Shots"
    desc = "Allows you to shoot more eggs at a time excluding first person."
    author = "retroben"
    is_enabled = false

    [[patch.be8]]
        address = 0x82601a5a
        value = 0xff

[[patch]]
    name = "Uncapped Fire Egg Shots"
    author = "retroben"
    is_enabled = false

    [[patch.be8]]
        address = 0x82601a5c
        value = 0xff

[[patch]]
    name = "Uncapped Ice Egg Shots"
    author = "retroben"
    is_enabled = false

    [[patch.be8]]
        address = 0x82601a5e
        value = 0xff

[[patch]]
    name = "Uncapped Grenade Egg Shots"
    desc = "Shooting too many may crash the game."
    author = "retroben"
    is_enabled = false

    [[patch.be8]]
        address = 0x82601a60
        value = 0xff

[[patch]]
    name = "Pointless Uncapped Clockwork Egg Shots"
    desc = "Do not use unless you want to shoot two and have it crash when detonating them."
    author = "retroben"
    is_enabled = false

    [[patch.be8]]
        address = 0x82601a62
        value = 0xff

[[patch]]
    name = "Uncapped Mine Egg Shots"
    desc = "May need to be careful to not use too many of these due to risk of crashing."
    author = "retroben"
    is_enabled = false

    [[patch.be8]]
        address = 0x82601a64
        value = 0xff

[[patch]]
    name = "Uncapped Gold Egg Shots"
    desc = "Makes gold eggs better outside of first person."
    author = "retroben"
    is_enabled = false

    [[patch.be8]]
        address = 0x82601a66
        value = 0xff

[[patch]]
    name = "Infinite Ice Keys"
    desc = "Use this to gain easy access to mega glowbo for dragon Kazooie."
    author = "retroben"
    is_enabled = false

    [[patch.be16]]
        address = 0x8262e7be
        value = 0xfffe

[[patch]]
    name = "Classic Jump Sounds"
    desc = "Replaces Banjo jump sounds with the original ones from the first game including transformations sharing the same sounds."
    author = "retroben"
    is_enabled = false

    [[patch.be32]]
        address = 0x8260209c
        value = 0x043b043c
    [[patch.be16]]
        address = 0x826020a0
        value = 0x043d
